%%
%%  This is file `AzarUniv_thesis.cls',
%%  The original file was xepersian-thesis.cls by Vafa Khalighi
%%   __________________________________
%%   Copyright © 2013-2014 Mohammad Esmael Samei
%%  
%%   http://profs.basu.ac.ir/me-samei/
%%   Email: mesamei@azaruniv.edu ; mesamei@basu.ac.ir ; mesamei@gmail.com ; me_samei@yahoo.com
%%   http://samei.info
%%   http://www.parsilatex.com  
%%   http://forum.parsilatex.com
%% 
%%  ____________________________________
%%  Review by Samei 93-02-31
%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{AzarUniv_thesis}
              [22/05/2014 v0.5
 Persian thesis document class in XeLaTeX for Azarbaijan Shahid Madani University projects/thesis/dissertations]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}
\ProcessOptions
\LoadClass[a4paper,11pt]{book}
\def\university#1{\gdef\@university{#1}}
\def\department#1{\gdef\@department{#1}}
\def\degree#1{\gdef\@degree{#1}}
\def\approvaldate#1{\gdef\@approvaldate{#1}}
\def\thesisdate#1{\gdef\@thesisdate{#1}}
\def\thesisplace#1{\gdef\@thesisplace{#1}}
\newcommand{\firstsupervisor}[1]{\def\@firstsupervisor{#1}}
\newcommand{\secondsupervisor}[1]{\def\@secondsupervisor{#1}}
\newcommand{\firstadvisor}[1]{\def\@firstadvisor{#1}}
\newcommand{\secondadvisor}[1]{\def\@secondadvisor{#1}}
\def\name#1{\gdef\@name{#1}}
\def\surname#1{\gdef\@surname{#1}}
\def\keywords#1{\gdef\@keywords{#1}}
\def\fa-abstract#1{\gdef\@fa-abstract{#1}}
\def\faculty#1{\gdef\@faculty{#1}}
\def\subject#1{\gdef\@subject{#1}}
\def\field#1{\gdef\@field{#1}}
\def\department#1{\gdef\@department{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\latintitle#1{\gdef\@latintitle{#1}}
\def\latinauthor#1{\gdef\@latinauthor{#1}}
\def\latindegree#1{\gdef\@latindegree{#1}}
\def\latinfaculty#1{\gdef\@latinfaculty{#1}}
\def\latindepartment#1{\gdef\@latindepartment{#1}}
\def\latinapprovaldate#1{\gdef\@latinapprovaldate{#1}}
\def\latinthesisdate#1{\gdef\@latinthesisdate{#1}}
\def\latinthesisplace#1{\gdef\@latinthesisplace{#1}}
\def\latinsubject#1{\gdef\@latinsubject{#1}}
\def\latinfield#1{\gdef\@latinfield{#1}}
\def\firstlatinsupervisor#1{\gdef\@firstlatinsupervisor{#1}}
\def\secondlatinsupervisor#1{\gdef\@secondlatinsupervisor{#1}}
\def\firstlatinadvisor#1{\gdef\@firstlatinadvisor{#1}}
\def\secondlatinadvisor#1{\gdef\@secondlatinadvisor{#1}}
\def\latinname#1{\gdef\@latinname{#1}}
\def\latinsurname#1{\gdef\@latinsurname{#1}}
\def\en-abstract#1{\gdef\@en-abstract{#1}}
\def\latinkeywords#1{\gdef\@latinkeywords{#1}}
\def\latinuniversity#1{\gdef\@latinuniversity{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newif\if@bscthesis
\@bscthesisfalse
\DeclareOption{bsc}{\@bscthesistrue}
\newif\if@mscthesis
\@mscthesisfalse
\DeclareOption{msc}{\@mscthesistrue}
\ProcessOptions
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\vtitle}{\begin{titlepage}
% \topmargin=-30pt
\vspace{-2.5cm}
\hspace {.1cm} {\includegraphics[height=2.9cm]{logo}}\\
\vspace{.1cm}
{\large \textbf{ \vezarat \\ 
\Daneshgah \\
\@faculty\\
\@department}}
\vskip .3cm
 \if@mscthesis
{\large\bfseries پایان‌نـامه}
\else
 \if@bscthesis
 {\large\bfseries پروژه}
 \else
{\large\bfseries رســـاله}
\fi\fi
%\vskip .3cm
{\large\bfseries\writtenfor
\if@mscthesis
کارشناسی‌ارشد
\else
\if@bscthesis
کارشناسی
\else
دکتـــری
\fi\fi
}
%{\large\bfseries{در رشته}}
\vskip .2cm
\centerline{{\large\bfseries{در رشــته }}\large \bfseries\@subject%
\if@mscthesis%
، گرایــش
\else
\if@bscthesis%
\relax%
\else%
، گرایــش
\fi\fi
\@field}
\vskip 1cm
%\baselineskip=.750cm
%\centerline{\Large \bfseries\onvan:}\\
\centerline{\Large \bfseries}\\
\vskip .1cm
 {\huge\bfseries {\baselineskip=1cm \@title}}\baselineskip=1cm\par
\vskip 1cm
 \baselineskip=.5cm
\large
{\ifx\@firstsupervisor\undefined%
\ifx\@secondsupervisor\undefined%
\else\fi
\else
\ifx\@secondsupervisor\undefined%
استاد راهنـما:
{\Large\bfseries\par
\@firstsupervisor}
\else
\large
استادان راهنـما:
\par
{\Large\bfseries \@firstsupervisor{} و \@secondsupervisor}
\fi\fi}
\par\large
{\ifx\@firstadvisor\undefined%
\ifx\@secondadvisor\undefined%
\else\fi
\else
\ifx\@secondadvisor\undefined%
\vspace{0.5cm}
استاد مشـاور:
{\Large\bfseries\par
\@firstadvisor}
\else

\large
استادان مشـاور:
\par
{\Large\bfseries\@firstadvisor{} و \@secondadvisor}
\fi\fi}
\vspace{1.5cm}

{\large%
\by:}\par
\par
{\Large\bfseries{\nastaliq\large\bfseries   \@name\ \ \@surname}}\par
\vskip 6mm
%\vfill
\vspace{1cm}

{\large \@thesisdate}

{\large \@thesisplace}
%\vfill
\end{titlepage}%
\newpage
\thispagestyle{empty}
\baselineskip=.7cm
\if@bscthesis \relax
\else
\begin{frame}
\noindent
نام خانوادگی دانشجو: 
{\bf \@surname}
 \hspace*{\fill}
 نام: 
{\bf \@name}
 \hspace*{\fill}\\ \hrule
 \vspace{3mm}
 \noindent
 عنوان:
{\bf \@title}
\\ \hrule
 \vspace{3mm}
 \noindent
{\ifx \@firstsupervisor \undefined%
\ifx \@secondsupervisor \undefined%
\else\fi
\else
\ifx  \@secondsupervisor \undefined%
استاد راهنما:
{
{\bf\@firstsupervisor}}
\else
\large
استادان راهنما:
{{\bf\@firstsupervisor{}} و {\bf\@secondsupervisor}}
\fi\fi}%\par
\noindent
{\ifx\@firstadvisor\undefined%
\ifx\@secondadvisor\undefined%
\else\fi
\else
\ifx\@secondadvisor\undefined%
\par\noindent
استاد مشاور:
{
{\bf\@firstadvisor}}
\else\\
\large
استادان مشاور:
{{\bf \@firstadvisor{}} و {\bf \@secondadvisor}}
\fi\fi}
\\ \hrule
 \vspace{3mm}
 \noindent
 مقطع تحصیلی:
 \if@mscthesis
{\bf کارشناسی ارشد}
\else
{\bf دکتـــری}
\fi
 \hspace*{\fill}
رشته: 
{\bf \@subject}
 \hspace*{\fill}
 گرایش:
{\bf \@field}
\\ \hrule
 \vspace{3mm}
 \noindent
دانشگاه: 
{\bf \@university}
 \hspace*{\fill}
{\bf \@faculty}\hspace*{\fill}
\\ 
تاریخ تصویب پروپوزال:
{\bf \@approvaldate}
 \hspace*{\fill}
تاریخ دفــــاع:
{\bf \@thesisdate}
 \hspace*{\fill}
تعداد صفحات: 
{\bf {\traffic \pageref{LastPage}}}\hspace*{\fill}
\\ \hrule
 \vspace{3mm}
 \noindent
\textbf{چکیده}\par
\@fa-abstract
\\ \hrule
 \vspace{3mm}
 \noindent
واژگان کلیدی:
{\bf \@keywords}
\end{frame}
%\fi
}
\def\frame{\newpage
\thispagestyle{empty}
\begin{framed}\thispagestyle{empty}}
\def\endframe{\thispagestyle{empty}\end{framed}
\thispagestyle{empty}
\newpage
}
\def\abstractpage{\newpage
\thispagestyle{empty}
\vskip 15mm
\par
\begin{abstract}}
\def\endabstractpage{\end{abstract}
\newpage
}

\def\latinabstract{\newpage
\thispagestyle{empty}
\vskip 15mm
\begin{center}{\Large\bfseries \@latintitle \\[5mm]}
{\bfseries Abstract}
\end{center}
\vspace{5mm}}

\def\endlatinabstract{\newpage}

\def\acknowledgementpage{\newpage
\thispagestyle{empty}

\vspace{1cm}
\par\noindent}
\def\endacknowledgementpage{\newpage}

\def\titlepage{\newpage\centering
  \thispagestyle{empty}
  \parindent 0pt \parskip 10pt plus 1fil minus 1fil
  \def\baselinestretch{1}\@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup}
\def\endtitlepage{\par\kern 0pt\egroup\vss\egroup\newpage}

\def\signature{\vspace{1cm}
\begin{flushleft}
{\nastaliq \scriptsize \@name\ \@surname \\
\@thesisdate \\ \@thesisplace}
\end{flushleft}}

\def\fullname{\vspace{1cm}
\begin{flushleft}
{\nastaliq \scriptsize \@name\ \@surname \\
\@thesisplace}
\end{flushleft}}

\def\abstract{\subsection*{\abstractname}\small
\@normalsize}
\def\endabstract{\par}

%\pagenumbering{harfi}
%\let\ol@chapter\@chapter
%\def\@chapter{%
%  \ifnum\c@chapter=0 \pagenumbering{arabic}\setcounter{page}{1}\fi
%  \ol@chapter}

\font\titlefont=cmssbx10 scaled 2074
\font\supervisorfont=cmbxti10

\newcommand{\latinvtitle}{%
\if@bscthesis \relax
\else
\begin{frame}
\noindent
Surname:
{\bf \@latinsurname }
 \hspace*{\fill}
Name:
{\bf \@latinname}
 \hspace*{\fill}\\ \hrule
 \vspace{3mm}
 \noindent
Title:
{\bf \@latintitle }\\ \hrule
 \vspace{3mm}
 \noindent
{\ifx\@firstlatinsupervisor\undefined%
\ifx\@secondlatinsupervisor\undefined%
\else\fi
\else
\ifx\@secondlatinsupervisor\undefined%
Supervisor:
{
{\bf \@firstlatinsupervisor}}
\else
\large
Supervisors:
{ {\bf \@firstlatinsupervisor{} } and {\bf \@secondlatinsupervisor }}
\fi\fi}\par
\noindent
{\ifx\@firstlatinadvisor\undefined%
\ifx\@secondlatinadvisor\undefined%
\else\fi
\else
\ifx\@secondlatinadvisor\undefined%
Advisor:
{
{\bf \@firstlatinadvisor}}
\else
\large
Advisors:
{{\bf \@firstlatinadvisor{} } and {\bf \@secondlatinadvisor}}
\fi\fi}
\\ \hrule
 \vspace{3mm}
 \noindent
Degree:
 \if@mscthesis
 {\bf  Master of Science}
\else
 {\bf Doctor of Science}
\fi
 \hspace*{\fill}
Subject:
{\bf \@latinsubject }
\hspace*{\fill}
\\ 
Field:
{\bf \@latinfield }
\\ \hrule
 \vspace{3mm}
 \noindent
{\bf \@latinuniversity}
 \hspace*{\fill}
{\bf \@latinfaculty}\hspace*{\fill}
\\ 
Approval Date:
{\bf \@latinapprovaldate}
 \hspace*{\fill}
Defence Date:
{\bf \@latinthesisdate}
 \hspace*{\fill}
Number of pages:
{\bf \pageref{LastPage}}\hspace*{\fill}
\\ \hrule
 \vspace{3mm}
 \noindent
\textbf{Abstract}\par
\@en-abstract
\\ \hrule
 \vspace{3mm}
 \noindent
Keywords:
{\bf \@latinkeywords}
\end{frame}
\begin{titlepage}
\vspace{-1.5cm}{\includegraphics[height=2.5cm]{Logo}}
\centerline{\bf Ministry of Sciences, Researches, and Technology} \\
\large\bfseries
\@latinuniversity\\ \space
\@latinfaculty \\ \space 
\@latindepartment\space 
\vskip 5mm
%{
 \if@mscthesis
Dissertation Submitted in Partial  Fulfillment of The Requirements For The Degree of Master of Science in\par
\else
Doctoral Thesis Submitted in Partial  Fulfillment of The  Requirements For The Degree of Doctor of Science in \par
\fi
{\large\bfseries \@latinsubject}
\vskip 1cm
\baselineskip=.750cm
{%\titlefont  -- by samei
 {\Huge\textbf{ \@latintitle}}
 }
\baselineskip=.750cm \par
%\addtolength{\baselineskip}{-5mm}
\vskip 1.5cm
\large
{\ifx\@firstlatinsupervisor\undefined%
\ifx\@secondlatinsupervisor\undefined%
\else\fi
\else
\ifx\@secondlatinsupervisor\undefined%
Supervisor:
{\Large\bfseries\par
\@firstlatinsupervisor}
\else
\large
Supervisors:
\par
{\Large\bfseries \@firstlatinsupervisor{} and \@secondlatinsupervisor}
\fi\fi}
\par\vspace{1cm}
\large
{\ifx\@firstlatinadvisor\undefined%
\ifx\@secondlatinadvisor\undefined%
\else\fi
\else
\ifx\@secondlatinadvisor\undefined%
Advisor:
{\Large\bfseries\par
\@firstlatinadvisor}
\else

\large
Advisors:
\par
{\Large\bfseries\@firstlatinadvisor{} and \@secondlatinadvisor}
\fi\fi}
\vskip 5mm
\vspace{1cm}
{\bfseries\latinby}\par
{\large %\supervisorfont
\rm\@latinname \; \@latinsurname}\par
\vskip 5mm

\par
\vskip 1cm
\vspace{1cm}

{\@latinthesisdate}
\par
\vskip 0.5cm

{\@latinthesisplace}
\par
\vskip 1cm

\par

\vfill
%
\end{titlepage}
\fi}
\def\vezarat{وزارت علوم، تحقیقات فناوری}
\def\Daneshgah{دانشگاه شهید مدنی آذربایجان}
\def\onvan{عنــوان}
\def\writtenfor{برای دریافت درجه }
\def\by{پژوهشــگر}
\def\latinby{by}
\def\cleardoublepage{\clearpage\if@twoside \ifodd\c@page\else
\hbox{}
\thispagestyle{empty}
\newpage
\if@twocolumn\hbox{}\newpage\fi\fi\fi}

%% 
%% Special thanks to Vafa Khalighi for his invaluable hints and Vahid Damanafshan to prepare Tabriz_Thesis.sty
%%
%% End of file `AzarUniv_thesis.cls'.
\newcommand\lettertitle[2]{{\Large{#1}}\hfill\lr{\Large{#2}}\\ \\}